PARTX(8)

NOM
partx - Annoncer au noyau la présence et la numérotation des partitions d'un disque

SYNOPSIS

partx [-a|-d|-P|-r|-s|-u] [-t type] [-n M:_N_] [-] disque

partx [-a|-d|-P|-r|-s|-u] [-t type] partition [disque]

DESCRIPTION

À partir d’un périphérique ou d’une image, partx essaie d’analyser la table de partitions et d’afficher son contenu. Elle permet aussi d’indiquer au noyau d’ajouter ou de supprimer des partitions.

L’argument disque est optionnel si un argument partition est fourni. Pour forcer l’analyse d’une partition comme s’il s’agissait d’un disque entier (par exemple pour afficher les sous-partitions imbriquées), utilisez l’argument - (tiret). Par exemple :

    partx --show - /dev/sda3

sda3 sera vue comme un disque entier plutôt que comme une partition.

Ce n’est pas un programme fdisk — l’ajout et la suppression de partitions n’intervient pas sur le disque lui-même, cela consiste seulement à informer le noyau de la présence et de la numérotation des partitions présentes.

OPTIONS

-a, --add
    Ajouter les partitions indiquées ou lire le disque et ajouter toutes ses partitions.

-b, --bytes
    Afficher la taille (colonne SIZE) en octets plutôt qu’en format lisible.

    Par défaut, l’unité des tailles est exprimée en octets SI et les préfixes d’unités sont des puissances de 2^10 (1024). Les abréviations des symboles sont affichées tronquées afin d’offrir une meilleure lisibilité. Seule la première lettre est affichée. Par exemple, « 1 Kio » et « 1 Mio » sont affichés comme « 1 K » et « 1 M » respectivement en omettant volontairement la mention « io » qui fait partie de ces abréviations.

-d, --delete
    Supprimer les partitions indiquées ou toutes les partitions. Ce n’est pas une erreur de supprimer des partitions non existantes. Aussi cette option est utilisable avec de grands intervalles --nr sans se soucier des partitions actuellement définies sur le périphérique.

-g, --noheadings
    Ne pas afficher de ligne d’en-tête avec --show ou --raw.

-l, --list
    Afficher les partitions. Remarquez que tous les nombres sont en secteur de 512 octets. Ce format de sortie est obsolète, remplacé par --show. Ne l’utilisez pas dans de nouveaux scripts.

-n, --nr M:N
    Indiquer l’intervalle de partitions. Par souci de rétrocompatibilité, le format M-N est pris en charge. L’intervalle peut contenir des nombres négatifs, par exemple --nr -1:-1 signifie la dernière partition et --nr -2:-1 signifie les deux dernières partitions. Les indications d’intervalle sont :

    M
        n’indique qu’une partition (par exemple --nr 3).

    M:
        n’indique que la limite inférieure (par exemple --nr 2:).

    :N
        n’indique que la limite supérieure (par exemple --nr :4).

    M:N
        indique les limites inférieure et supérieure (par exemple --nr 2:4).

-o, --output liste
    Définir les colonnes à afficher pour les sorties --show, --pairs et --raw. Si aucune disposition de sortie n’est indiquée, un ensemble par défaut est utilisé. Utilisez --help pour obtenir la liste de toutes les colonnes possibles. Cette option ne peut pas être combinée avec les options --add, --delete, --update ou --list.

--output-all
    Afficher toutes les colonnes disponibles.

-P, --pairs
    Afficher les partitions au format clef="valeur".

-r, --raw
    Afficher les partitions au format brut de sortie.

-s, --show
    Afficher les partitions. Les colonnes à afficher peuvent être sélectionnées et réorganisées avec l’option --output. Tous les nombres (à part SIZE) sont en secteurs de 512 octets.

-t, --type type
    Indiquer le type de table de partitions.

--list-types
    Afficher les partitions prises en charge et quitter.

-u, --update
    Mettre à jour les partitions indiquées.

-S, --sector-size taille
    Écraser la taille de secteur par défaut.

-v, --verbose
    Mode détaillé.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

ENVIRONNEMENT

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

EXEMPLE

partx --show /dev/sdb3, partx --show --nr 3 /dev/sdb, partx --show /dev/sdb3 /dev/sdb
    Les trois commandes affichent la troisième partition de /dev/sdb.

partx --show - /dev/sdb3
    Afficher toutes les sous-partitions de /dev/sdb3 (la partition est utilisée comme un disque entier).

partx -o START -g --nr 5 /dev/sdb
    Afficher le secteur de début de la cinquième partition de /dev/sdb sans en-tête.

partx -o SECTORS,SIZE /dev/sda5 /dev/sda
    Afficher la taille en secteur et en format lisible de la cinquième partition de /dev/sda.

partx --add --nr 3:5 /dev/sdd
    Ajouter toutes les partitions disponibles de la troisième à la cinquième (comprises) sur /dev/sdd.

partx -d --nr -1: /dev/sdd
    Retirer la dernière partition de /dev/sdd.

AUTEURS

La version originale a été écrite par

VOIR AUSSI

addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande partx fait partie du paquet util-linux, elle est disponible sur